<?php

namespace OctolizeShippingAustraliaPostVendor\Http\Message\Authentication;

use OctolizeShippingAustraliaPostVendor\Http\Message\Authentication;
use Psr\Http\Message\RequestInterface;
class Header implements \OctolizeShippingAustraliaPostVendor\Http\Message\Authentication
{
    /**
     * @var string
     */
    private $name;
    /**
     * @var string|string[]
     */
    private $value;
    /**
     * @param string|string[] $value
     */
    public function __construct(string $name, $value)
    {
        $this->name = $name;
        $this->value = $value;
    }
    /**
     * {@inheritdoc}
     */
    public function authenticate(\Psr\Http\Message\RequestInterface $request)
    {
        return $request->withHeader($this->name, $this->value);
    }
}
